package nl.joozey.games.asmallworld;

import com.badlogic.gdx.InputProcessor;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;

/**
 * Created by mint on 22-4-17.
 */

public interface Scene extends InputProcessor {

    void render(SpriteBatch batch);

    void act(float deltaTime);

    void dispose();

    void setSceneControl(SceneControl sceneControl);

    void restart();
}
